<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
include_once('config.php');
require('vendor/autoload.php');
use Shopify\PuplicApp;
use rdx\graphqlquery\Query;
echo '<pre>';
$api_params['version'] = '2024-07';


$client = new Shopify\PublicApp($SHOPIFY_SHOP_DOMAIN, $SHOPIFY_API_KEY, $SHOPIFY_API_SECRET, $api_params);
  $client->setAccessToken($SHOPIFY_TOKEN);

  $data = array();


  global $ci_connection;
  
    $sql = "SELECT
    orders.*,
    delivery.*,
    customers.*
FROM
    newsystem_orders_dq AS orders
JOIN
    newsystem_order_delivery_dq AS delivery
ON
    orders.newSystemOrderID = delivery.newSystemOrderID
JOIN
    newsystem_customers_dq AS customers
ON
    customers.emailAddress = orders.newSystemCustomerEmail
WHERE
 ( orders.sriOrderID IS NULL OR orders.sriOrderID ='' )
LIMIT 1;

";
  
  
$orders = getDatafromSQL($sql);

$mutation = '';
foreach($orders as $order){


$newSystemCustomerEmail = $order['newSystemCustomerEmail'];
$mobile = $order['mobile'];


$customerQuery = '{
  customers(query: "email:'.$newSystemCustomerEmail.' OR phone:'.$mobile.'", first: 1) {
    edges {
      node {
        id
       
       
      }
    }
  }
}';

$cResponse = $client->callGraphql($customerQuery);

if(count($cResponse['data']['customers']['edges'])>0)  {
    $customerId = $cResponse['data']['customers']['edges'][0]['node']['id'];
}else {
    $customerMutation ='mutation {
  customerCreate(input: {
    email: "'.$newSystemCustomerEmail.'",
    firstName: "'.$order['firstName'].'",
    lastName:  "'.$order['lastName'].'",
    phone: "'.$order['mobile'].'",
    addresses: [
      {
        address1:  "'.$order['street'].'",
        city:  "'.$order['city'].'",
        province:  "'.$order['state'].'",
        country:  "'.$order['country'].'",
        zip:  "'.$order['postCode'].'",
      }
    ],
    tags: ["test-customer"]
  }) {
    customer {
      id

    }
    userErrors {
      field
      message
    }
  }
}
';

    $createResponse = $client->callGraphql($customerMutation);
    $customerId =($createResponse['data']['customerCreate']['customer']['id']);
}

$mutation = 'mutation {
  draftOrderCreate(input: {
  sourceName:"Buy Button",
  purchasingEntity: {
    customerId: "'.$customerId.'"
  },
    note: "'.$order['newSystemOrderNumber'].'",
    email: "'.$newSystemCustomerEmail.'",
    taxExempt: false,
     allowDiscountCodesInCheckout:true,
 shippingLine: {
      title: "Standard",
      price: 0

    },
    shippingAddress: {
     address1:  "'.$order['deliveryStreet'].'",
        city:  "'.$order['deliveryCity'].'",
        province:  "'.$order['deliveryState'].'",
        country:  "'.$order['deliveryCountry'].'",
        zip:  "'.$order['deliveryPostCode'].'",
    },
    billingAddress: {
     address1:  "'.$order['street'].'",
        city:  "'.$order['city'].'",
        province:  "'.$order['state'].'",
        country:  "'.$order['country'].'",
        zip:  "'.$order['postCode'].'",
    },
      
   
    lineItems: [';
     //    discountCodes: "'.$order['coupon_code'].'",
     
         $productCondition = array('newSystemOrderID' => $order['newSystemOrderID']);
            $oProducts = getDatas(TB_ORDERS_PRODUCT_DQ, $productCondition,  '', 1, false);
            print_r($oProducts);
            
 foreach($oProducts as $oProduct) {
      $mutation .= '{
        variantId: "'.$oProduct['sriShopifyVariant'].'",
        quantity :  '.$oProduct['quantity'].',
         appliedDiscount: {
          description:  "'.$order['coupon_code'].'",
          value:  '.$order['coupon_amount'].',
          valueType: FIXED_AMOUNT,
          title:  "'.$order['coupon_code'].'",
        }
     
      }';
 }
      
      
     $mutation .= '  ]
  
  }) {
    draftOrder {
      id
    }
  }
}
';


    $orderResponse = $client->callGraphql($mutation);
    $orderId = $orderResponse['data']['draftOrderCreate']['draftOrder']['id'];
$convertToorder ='mutation {
  draftOrderComplete(id: "'.$orderId.'") {
    draftOrder {
      id
      order {
        id
      }
    }
  }
}
';

    $completeRsponse = $client->callGraphql($convertToorder);
    

    
        $orderGIDId = $completeRsponse['data']['draftOrderComplete']['draftOrder']['order']['id'];
        updateDatas(TB_ORDERS_DQ, array('sriOrderID'=>$orderGIDId), array('newSystemOrderID' => $order['newSystemOrderID']), false);

die;
}
?>