<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
include_once('config.php');
require('vendor/autoload.php');
use Shopify\PuplicApp;
use rdx\graphqlquery\Query;


$client = new Shopify\PublicApp($SHOPIFY_SHOP_DOMAIN, $SHOPIFY_API_KEY, $SHOPIFY_API_SECRET, $api_params);
  $client->setAccessToken($SHOPIFY_TOKEN);
echo '<pre>';
  $data = array();


  global $ci_connection;





  function getOrders($cursor='')
  {  global $client;

   $query ='{';
   if($cursor=='') {
       	$query .='orders(first: 100, query: "created_at:>\'2024-04-20T00:00:00-04:00\'") {';

   }
   else {
	$query .='orders(first:50,after:"'.$cursor.'", query: "created_at:>\'2024-04-15T00:00:00-04:00\' AND fulfillment_status:fulfilled") {';
	
   }
	   $query .='
	   edges {
    cursor
      node {        
      id
          name
    createdAt
     displayFulfillmentStatus
        fulfillments {
          id
          displayStatus
           updatedAt
            estimatedDeliveryAt
            createdAt
          trackingInfo {
            number
            url
           
              
          }
        }
      displayFinancialStatus

           shippingAddress {
    
      country
      zip
     
    }
    lineItems(first: 50) {
      edges {
        node {
          title
           sku
           id
          quantity

          variant {
            title
            price
             sku
             id
              selectedOptions {
                  name
                  value
                }
          }
        }
      }
    }
      }
    }
	}
}';
//echo $query;
//die;
    $order = $client->callGraphql($query);
  // echo '<pre>';
  //  print_r($order);
   $rorders = $order['data']['orders']['edges'];
//  print_r($order);
return $rorders;
  }


  function getRandText($n)
  {
    $characters = 'defghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $randomString = '';

    for ($i = 0; $i < $n; $i++) {
      $index = rand(0, strlen($characters) - 1);
      $randomString .= $characters[$index];
    }
    return $randomString;
  }



   


      $orders =  getOrders('');


        echo '<pre>';


  if (count($orders) > 0) {
      
$orderCsv = array();
$orderCsvN = array();
$orderCsvN[] = [
    "order id",
    "order created time",
    "tracking id",
    "product id",
    "product country",
    "product language",
    "merchant id",
    "gtin",
    "mpn",
    "carrier name",
    "carrier service name",
    "order shipping fee",
    "shipping fee currency",
    "shipment id",
    "shipping status",
    "shipped date",
    "origin region code",
    "origin postal code",
    "delivery region code",
    "delivery postal code",
    "earliest delivery promise date",
    "latest delivery promise date",
    "actual delivery date",
    "quantity",
    "brand",
    "title"
];
    foreach ($orders as $order) {
 
                $order = $order['node'];
         $c_address = $order['shippingAddress'];
         $fulfillments = $order['fulfillments'][0];
         if($order['displayFulfillmentStatus']=='FULFILLED') {
          foreach ($order['lineItems']['edges'] as $oprod) {
                  $oprod = $oprod['node'];
                 // print_r($oprod);
                 
                 $proid = str_replace('gid://shopify/LineItem/','',$oprod['id']);
                 
                 
                 if(isset($oprod['variant']['id'])) {
                 
               $proid =$proid.'_'.str_replace('gid://shopify/ProductVariant/','',$oprod['variant']['id']);
                 
                 }
        
        $orderCsvN[] = array(
          $order['name'], //order id
              date('Y-m-d', strtotime($order['createdAt'])), //order created time
              $fulfillments['trackingInfo'][0]['number'], //tracking id
               $proid, //product id
               'US', //product country
               'en',//product language
                '5299944864', //merchant id
                '',//gtin
                '', //mpn
               
                '',//carrier name
                '',//carrier service name
                 0, //order shipping fee
                 'USD',//shipping fee currency
                 '',//shipment id
               
                   $fulfillments['displayStatus'], //shipping status
                   date('Y-m-d', strtotime($fulfillments['createdAt'])),//shipping date
                    'US', //origin region code
                     '90212', //origin postal code
                    
                      'US', //delivery region code
                       $c_address['zip'], //delivery postal code
                       date('Y-m-d', strtotime($fulfillments['estimatedDeliveryAt'])), //earliest delivery promise date
                      '',//latest delivery promise date
                       date('Y-m-d', strtotime($fulfillments['updatedAt'])), //actual delivery date
                       $oprod['quantity'],//quantity
                       '',//brand
                       $oprod['title'],//title
            );
            /*
        $orderCsv[] = array(
            'order id'=>$order['name'],
             'order created time'=>$order['createdAt'],
              'tracking id'=>$fulfillments['trackingInfo'][0]['number'],
               'product id'=>$proid,
               'product country'=>'US',
                'product language'=>'en',
                 'merchant id'=>'5299944864',
                 'order shipping fee'=>0,
                  'shipping status'=>date('Y-m-d', strtotime($fulfillments['displayStatus'])),
                   'shipped date'=>date('Y-m-d', strtotime($fulfillments['createdAt'])),
                    'origin region code'=>'US',
                     'origin postal code'=>'90212',
                     'earliest delivery promise date'=>date('Y-m-d', strtotime($fulfillments['estimatedDeliveryAt'])),
                      'delivery region code'=>'US',
                       'delivery postal code'=>$c_address['zip'],
                       'actual delivery date'=>date('Y-m-d', strtotime($fulfillments['updatedAt'])),
                       'quantity'=>$oprod['quantity'],
                       'title'=>$oprod['title']
            );*/
        
          }
         }
        
        
        
    }
    echo '<pre>';

$filename = "orders.csv";

// Open file for writing
$file = fopen($filename, 'w');

if ($file === false) {
    die('Unable to open file for writing');
}

// Iterate over the data array and write to the file
foreach ($orderCsvN as $row) {
    fputcsv($file, $row);
}

// Close the file
fclose($file);

echo "CSV file has been created successfully.";
  


  }