<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
include_once('config.php');
require('vendor/autoload.php');
use Shopify\PuplicApp;
use rdx\graphqlquery\Query;



$client = new Shopify\PublicApp($SHOPIFY_SHOP_DOMAIN, $SHOPIFY_API_KEY, $SHOPIFY_API_SECRET, $api_params);
  $client->setAccessToken($SHOPIFY_TOKEN);

     //   $response = $client->call('GET','customers',['limit'=>3]);


     $awsCustomers = getDatafromSQL("SELECT cursorGraph FROM ".TBL_CUSTOMERS."  ORDER BY id DESC   LIMIT 1" );
     if(count($awsCustomers)>=1) {
         //query:"accepts_marketing:true",
      $query = '
      {
       customers(first:10,sortKey:CREATED_AT,after:"'.$awsCustomers[0]['cursorGraph'].'") {
        edges {
          cursor
            node {
              id
              firstName
              lastName
              email
              phone
              createdAt
              acceptsMarketing
              orders(first: 10, sortKey: CREATED_AT, reverse: true) {
                edges {
                  node {
                    lineItems(first: 5) {
                      edges {
                        node {
                          title
                          quantity
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }';
     }else {
      //,query:"accepts_marketing:true"
        $query = '
  {
   customers(first: 7,sortKey:CREATED_AT) {
      edges {
      cursor
        node {
          id
          firstName
          lastName
          email
          phone
          createdAt
          acceptsMarketing
          orders(first: 10, sortKey: CREATED_AT, reverse: true) {
            edges {
              node {
                lineItems(first: 5) {
                  edges {
                    node {
                      title
                      quantity
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }';
}
        



  echo '<pre>';
//echo $query;
  $response = $client->callGraphql($query);
 // print_r($response);

foreach(  $response['data']['customers']['edges']  as $customer)  {
  $cursorGraph = $customer['cursor'];
  $customer= $customer['node'];

 $shopifyId= $customer['id'];
 $customerFirstName= $customer['firstName'];
 $customerLastName= $customer['lastName'];
 $customerEmail=  $customer['email'];
 $customerPhone = $customer['phone'];
 $createdAt = $customer['createdAt'];

 $acCustomerTags = array();
 
 if (array_key_exists('orders', $customer)) {
  $orders = $customer['orders']['edges'];
 foreach($orders as $order) {
  
    foreach($order['node']['lineItems']['edges'] as $lineItem) {
      $updatedString = str_replace("'", '', $lineItem['node']['title']);
      $updatedString = str_replace('"', '', $updatedString);
     $updatedStringStandard= extractNames($updatedString);
    if(count($updatedStringStandard)>0) {
      $acCustomerTags[] =$updatedStringStandard[0].' Customer';
    }else {
      $acCustomerTags[] =$updatedString.' Customer';

    }

}
  
 }}
$acCustomerTags = array_unique($acCustomerTags);
$acCustomerTags = array_values($acCustomerTags);

if(count($acCustomerTags)<=0) {
  $acCustomerTags[]= 'Customer';
}


 $data = array('customerTags'=>json_encode($acCustomerTags),'shopifyId'=>$shopifyId,'customerFirstName'=>addslashes($customerFirstName),'customerLastName'=>addslashes($customerLastName),'customerEmail'=>addslashes($customerEmail),'createdDate'=>date('Y-m-d H:i:s',strtotime($createdAt)),'cursorGraph'=>$cursorGraph,'customerPhone'=>$customerPhone);


 $checkCustomer = getSingleRow(TBL_CUSTOMERS, array('shopifyId'=>$shopifyId,'customerEmail'=>addslashes($customerEmail)), false);

echo $customerEmail. ' processed<br>';
if(is_array($checkCustomer) && count($checkCustomer)>0) {
updateDatas(TBL_CUSTOMERS, $data ,array('shopifyId'=>$shopifyId,'customerEmail'=>addslashes($customerEmail)),false);
}else {
createDatas(TBL_CUSTOMERS, $data ,false);

}
}
echo 'die';

