<?php 
date_default_timezone_set('America/Los_Angeles');

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
include_once('config.php');
require('vendor/autoload.php');
use Shopify\PuplicApp;
use rdx\graphqlquery\Query;


$client = new Shopify\PublicApp($SHOPIFY_SHOP_DOMAIN, $SHOPIFY_API_KEY, $SHOPIFY_API_SECRET, $api_params);
  $client->setAccessToken($SHOPIFY_TOKEN);
echo '<pre>';
  $data = array();


  global $ci_connection;

echo date('Y-m-d H:i:s');
$query = '{
 

  orders(query: "created_at:>\'2023-11-30T15:44:00\' AND created_at:<\'2023-12-04T15:59:59\' AND tag:\'DRYQ\' AND fulfillment_status:unfulfilled", first: 1) {
    edges {
      cursor
      node {
        
        id
            name
      createdAt
      processedAt
       displayFulfillmentStatus
       fulfillments {  
    
            id
            displayStatus
         
      }
        displayFinancialStatus
        totalPriceSet {
            shopMoney {
              amount
            }
          }  
      tags
      note
      shippingAddress {
        country
      }
       shippingLine {
            source
            originalPriceSet {
              shopMoney
              {
                amount
              }
            }
          }
        discountCodes
      
      totalDiscountsSet {
        
        shopMoney {
          amount
        }
      }
      currencyCode
       subtotalPriceSet {
              shopMoney {
              amount
            }
          }
       totalTaxSet {
            shopMoney {
              amount
            }
          }
      discountApplications(first: 5) {
        edges {
          node {
        targetType
            value {
              
              ... on PricingPercentageValue {
                percentage
                
                
              }
              ... on MoneyV2 {
                amount
                currencyCode
              
              }
            }
          }
        }
      }
        risks {
                display
                level
                message
              }
    paymentGatewayNames
      customer {
      id
        firstName
        lastName
        email
        phone
      
         defaultAddress {
               address1
        address2
        city
        province
        country
        zip
        phone
            }
      }
        billingAddress {
        firstName
        lastName
        address1
        address2
        city
        province
        country
        zip
        phone
      }
             shippingAddress {
        firstName
        lastName
        address1
        address2
        city
        province
        country
        zip
        phone
      }
      lineItems(first: 50) {
        edges {
          node {
            
             sku
             id
            quantity
            totalDiscountSet {shopMoney {amount}}
                
            variant {
              title
              price
               sku
               id
                selectedOptions {
                    name
                    value
                  }
            }
          }
        }
      }
      }
    }
  }
}';

 $querys = 'query {
  order(id: "gid://shopify/Order/5380054843572") {        
   
      

        id
        name
        createdAt
        tags
          displayFulfillmentStatus
     fulfillments {  
  
          id
          displayStatus
       
    }
    displayFinancialStatus
        lineItems(first: 5) {
          edges {
            node {
              title
              quantity
            }
          }
        }
        shippingLines(first:5) {
          nodes {
      id
      title
     
    }
        }
         shippingLine {
         title
         code
            source
            originalPriceSet {
              shopMoney
              {
                amount
              }
            }
          }
      }
    
  
}';

//echo $query;

 $orderD = $client->callGraphql($query);
   $rorders = $orderD['data']['orders']['edges'];
 $mquery = '    mutation {';
   foreach($rorders as $order)  {
  
          $order = $order['node'];
 // print_r($order);        
          $discountcode = array();
      foreach ($order['discountCodes'] as $dc) {
        $discountcode[] = $dc;
      }
   

  $mquery .=  'draftOrderCreate(input: {
     
    lineItems: [';
    
    $totalDiscount = 0;
      foreach ($order['lineItems']['edges'] as $oprod) {
         
                 $oprod = $oprod['node'];
                               $discountproducttotalamount = $oprod['totalDiscountSet'];

$totalDiscount = $totalDiscount +$discountproducttotalamount['shopMoney']['amount'];
                 
       $mquery .=' {
        variantId: "'.$oprod['variant']['id'].'",  # Replace with actual variant ID
        quantity: '.$oprod['quantity'].',
        # Add other line item details
      }';
      }
      
       if (isset($order['billingAddress']) && $order['billingAddress'] != '') {

            $b_address = $order['billingAddress'];
          }

          if (isset($order['shippingAddress']) && $order['shippingAddress'] != '') {

            $s_addres = $order['shippingAddress'];
          }
          
          
      $mquery .='],
      billingAddress: {
      firstName : "'.$b_address['firstName'].'",
      lastName  : "'.$b_address['lastName'].'",
      phone : "'.$b_address['phone'].'",
      address1:  "'.$b_address['address1'].'",
       address2 :   "'.$s_addres['address2'].'",
      city:  "'.$b_address['city'].'",
      province:  "'.$b_address['province'].'",
      country: "'.$b_address['country'].'",
      zip: "'.$b_address['zip'].'"
    },
    shippingAddress: {
     firstName : "'.$s_addres['firstName'].'",
           lastName  : "'.$s_addres['lastName'].'",
  phone : "'.$b_address['phone'].'",
      address1:  "'.$s_addres['address1'].'",
      address2 :   "'.$s_addres['address2'].'",
      city:  "'.$s_addres['city'].'",
      province:  "'.$s_addres['province'].'",
      country: "'.$s_addres['country'].'",
      zip: "'.$s_addres['zip'].'"
    },
    ';
    
    if($order['totalDiscountsSet']['shopMoney']['amount']>0) {
           $mquery .='appliedDiscount: {
          title: "Cyber Monday Sale",  # Description of the discount
          value: '.$order['totalDiscountsSet']['shopMoney']['amount'].',  # The value of the discount
          valueType: FIXED_AMOUNT  # or "FIXED_AMOUNT"
        }';
        
    }
    
          $mquery .='
      customerId: "'. $order['customer']['id'].'"  # Replace with actual customer ID
    
    # Add other order details, but omit shipping lines
  }) {
    draftOrder {
      id
      # Include other fields you want to return
    }
    userErrors {
      field
      message
    }
  }
}';

   }
//echo $mquery;die;
 $orderResp = $client->callGraphql($mquery);
print_r($orderResp);



