<?php

namespace Microsoft\BingAds\V13\AdInsight;

{
    /**
     * Defines a value set of currencies.
     * @link https:/learn.microsoft.com/advertising/ad-insight-service/currency?view=bingads-13 Currency Value Set
     * 
     * @used-by GetAudienceFullEstimationRequest
     * @used-by GetAudienceFullEstimationResponse
     */
    final class Currency
    {
        /** Unspecified currency. */
        const UnSpecify = 'UnSpecify';

        /** The Algerian Dinar (DZD). */
        const AlgerianDinar = 'AlgerianDinar';

        /** The Argentine Peso (ARS). */
        const ArgentinePeso = 'ArgentinePeso';

        /** The Australian Dollar (AUD). */
        const AustralianDollar = 'AustralianDollar';

        /** The Thai Baht (THB). */
        const Baht = 'Baht';

        /** The Venezuelan Bolivar Fuerte (VEF). */
        const Bolivar = 'Bolivar';

        /** The Brazilian Real (BRL). */
        const BrazilianReal = 'BrazilianReal';

        /** The Canadian Dollar (CAD). */
        const CanadianDollar = 'CanadianDollar';

        /** The Chilean Peso (CLP). */
        const ChileanPeso = 'ChileanPeso';

        /** The Colombian Peso (COP). */
        const ColombianPeso = 'ColombianPeso';

        /** The Czech Koruna (CZK). */
        const CzechKoruna = 'CzechKoruna';

        /** The Danish Krone (DKK). */
        const DanishKrone = 'DanishKrone';

        /** The Vietnamese Dong (VND). */
        const Dong = 'Dong';

        /** The Egyptian Pound (EGP). */
        const EgyptianPound = 'EgyptianPound';

        /** The Euro (EUR). */
        const EURO = 'EURO';

        /** The Hungarian Forint (HUF). */
        const Forint = 'Forint';

        /** The Hong Kong Dollar (HKD). */
        const HongKongDollar = 'HongKongDollar';

        /** The Indian Rupee (INR). */
        const IndianRupee = 'IndianRupee';

        /** The Japanese Yen (JPY). */
        const JapaneseYen = 'JapaneseYen';

        /** The Lebanese Pound (LBP). */
        const LebanesePound = 'LebanesePound';

        /** The Malaysian Ringgit (MYR). */
        const MalaysianRinggit = 'MalaysianRinggit';

        /** The Mexican Peso (MXN). */
        const MexicanPeso = 'MexicanPeso';

        /** The Moroccan Dirham (MAD). */
        const MoroccanDirham = 'MoroccanDirham';

        /** The New Taiwan Dollar (TWD). */
        const NewTaiwanDollar = 'NewTaiwanDollar';

        /** The New Zealand Dollar (NZD). */
        const NewZealandDollar = 'NewZealandDollar';

        /** The Norwegian Krone (NOK). */
        const NorwegianKrone = 'NorwegianKrone';

        /** The Peruvian Nuevo Sol (NOK). */
        const NuevoSol = 'NuevoSol';

        /** The Philippine Peso (PHP). */
        const PhilippinePeso = 'PhilippinePeso';

        /** The Qatari Rial (QAR). */
        const QatariRial = 'QatariRial';

        /** The Indonesian Rupiah (IDR). */
        const Rupiah = 'Rupiah';

        /** The Saudi Riyal (SAR). */
        const SaudiRiyal = 'SaudiRiyal';

        /** The Singapore Dollar (SGD). */
        const SingaporeDollar = 'SingaporeDollar';

        /** The South African Rand (ZAR). */
        const SouthAfricanRand = 'SouthAfricanRand';

        /** The Swedish Krona (SEK). */
        const SwedishKrona = 'SwedishKrona';

        /** The Swiss Franc (CHF). */
        const SwissFranc = 'SwissFranc';

        /** The Turkish Lira (TRY). */
        const TurkishLira = 'TurkishLira';

        /** The UK Pound (GBP). */
        const UKPound = 'UKPound';

        /** The US Dollar USD */
        const USDollar = 'USDollar';

        /** The South Korean Won (KRW). */
        const Won = 'Won';

        /** The Chinese Yuan (CNY). */
        const YuanRenminbi = 'YuanRenminbi';

        /** The Polish Zloty (PLN). */
        const PolishZloty = 'PolishZloty';

        /** The UAE Dirham (AED). */
        const UAEDirham = 'UAEDirham';

        /** The Israeli Sheqel (ILS). */
        const IsraeliSheqel = 'IsraeliSheqel';

        /** The Nigerian Naira (NGN). */
        const NigerianNaira = 'NigerianNaira';
    }

}
