<?php

namespace Microsoft\BingAds\V13\AdInsight;

{
    /**
     * Defines the message template ID for performance insights.
     * @link https:/learn.microsoft.com/advertising/ad-insight-service/performanceinsightsmessagetemplateid?view=bingads-13 PerformanceInsightsMessageTemplateId Value Set
     * 
     * @used-by PerformanceInsightsMessage
     */
    final class PerformanceInsightsMessageTemplateId
    {
        /** Your account's impressions increased {0}% compared to the past 7 day average. */
        const FluxImprIncreaseAcct = 'FluxImprIncreaseAcct';

        /** Your account's impressions decreased {0}% compared to the past 7 day average. */
        const FluxImprDecreaseAcct = 'FluxImprDecreaseAcct';

        /** Your account's impressions increased compared to the past 7 day average. */
        const FluxImprIncreaseInfinityAcct = 'FluxImprIncreaseInfinityAcct';

        /** Your account's impressions increased {0}% compared to the previous day. */
        const FluxImprIncreaseAcctPrevDay = 'FluxImprIncreaseAcctPrevDay';

        /** Your account's impressions decreased {0}% compared to the previous day. */
        const FluxImprDecreaseAcctPrevDay = 'FluxImprDecreaseAcctPrevDay';

        /** Your account's impressions increased compared to the previous day. */
        const FluxImprIncreaseInfinityAcctPrevDay = 'FluxImprIncreaseInfinityAcctPrevDay';

        /** Your account's clicks increased {0}% compared to the past 7 day average. */
        const FluxClickIncreaseAcct = 'FluxClickIncreaseAcct';

        /** Your account's clicks decreased {0}% compared to the past 7 day average. */
        const FluxClickDecreaseAcct = 'FluxClickDecreaseAcct';

        /** Your account's clicks increased compared to the past 7 day average. */
        const FluxClickIncreaseInfinityAcct = 'FluxClickIncreaseInfinityAcct';

        /** Your account's clicks increased {0}% compared to the previous day. */
        const FluxClickIncreaseAcctPrevDay = 'FluxClickIncreaseAcctPrevDay';

        /** Your account's clicks decreased {0}% compared to the previous day. */
        const FluxClickDecreaseAcctPrevDay = 'FluxClickDecreaseAcctPrevDay';

        /** Your account's clicks increased compared to the previous day. */
        const FluxClickIncreaseInfinityAcctPrevDay = 'FluxClickIncreaseInfinityAcctPrevDay';

        /** Your account's spend increased {0}% compared to the average of past 7 days. */
        const FluxCostIncreaseAcct = 'FluxCostIncreaseAcct';

        /** Your account's spend decreased {0}% compared to the average of past 7 days. */
        const FluxCostDecreaseAcct = 'FluxCostDecreaseAcct';

        /** Your account's spend increased compared to the average of past 7 days. */
        const FluxCostIncreaseInfinityAcct = 'FluxCostIncreaseInfinityAcct';

        /** Your account's spend increased {0}% compared to the previous day. */
        const FluxCostIncreaseAcctPrevDay = 'FluxCostIncreaseAcctPrevDay';

        /** Your account's spend decreased {0}% compared to the previous day. */
        const FluxCostDecreaseAcctPrevDay = 'FluxCostDecreaseAcctPrevDay';

        /** Your account's spend increased compared to the previous day. */
        const FluxCostIncreaseInfinityAcctPrevDay = 'FluxCostIncreaseInfinityAcctPrevDay';

        /** Your campaign's impressions increased {0}% compared to the past 7 day average. */
        const FluxImprIncreaseCampaign = 'FluxImprIncreaseCampaign';

        /** Your campaign's impressions decreased {0}% compared to the past 7 day average. */
        const FluxImprDecreaseCampaign = 'FluxImprDecreaseCampaign';

        /** Your campaign's impressions increased compared to the past 7 day average. */
        const FluxImprIncreaseInfinityCampaign = 'FluxImprIncreaseInfinityCampaign';

        /** Your campaign's impressions increased {0}% compared to the previous day. */
        const FluxImprIncreaseCampaignPrevDay = 'FluxImprIncreaseCampaignPrevDay';

        /** Your campaign's impressions decreased {0}% compared to the previous day. */
        const FluxImprDecreaseCampaignPrevDay = 'FluxImprDecreaseCampaignPrevDay';

        /** Your campaign's impressions increased compared to the previous day. */
        const FluxImprIncreaseInfinityCampaignPrevDay = 'FluxImprIncreaseInfinityCampaignPrevDay';

        /** Your campaign's clicks increased {0}% compared to the past 7 day average. */
        const FluxClickIncreaseCampaign = 'FluxClickIncreaseCampaign';

        /** Your campaign's clicks decreased {0}% compared to the past 7 day average. */
        const FluxClickDecreaseCampaign = 'FluxClickDecreaseCampaign';

        /** Your campaign's clicks increased compared to the past 7 day average. */
        const FluxClickIncreaseInfinityCampaign = 'FluxClickIncreaseInfinityCampaign';

        /** Your campaign's clicks increased {0}% compared to the previous day. */
        const FluxClickIncreaseCampaignPrevDay = 'FluxClickIncreaseCampaignPrevDay';

        /** Your campaign's clicks decreased {0}% compared to the previous day. */
        const FluxClickDecreaseCampaignPrevDay = 'FluxClickDecreaseCampaignPrevDay';

        /** Your campaign's clicks increased compared to the previous day. */
        const FluxClickIncreaseInfinityCampaignPrevDay = 'FluxClickIncreaseInfinityCampaignPrevDay';

        /** Your campaign's spend increased {0}% compared to the average of past 7 days. */
        const FluxCostIncreaseCampaign = 'FluxCostIncreaseCampaign';

        /** Your campaign's spend decreased {0}% compared to the average of past 7 days. */
        const FluxCostDecreaseCampaign = 'FluxCostDecreaseCampaign';

        /** Your campaign's spend increased compared to the average of past 7 days. */
        const FluxCostIncreaseInfinityCampaign = 'FluxCostIncreaseInfinityCampaign';

        /** Your campaign's spend increased {0}% compared to the previous day. */
        const FluxCostIncreaseCampaignPrevDay = 'FluxCostIncreaseCampaignPrevDay';

        /** Your campaign's spend decreased {0}% compared to the previous day. */
        const FluxCostDecreaseCampaignPrevDay = 'FluxCostDecreaseCampaignPrevDay';

        /** Your campaign's spend increased compared to the previous day. */
        const FluxCostIncreaseInfinityCampaignPrevDay = 'FluxCostIncreaseInfinityCampaignPrevDay';

        /** Your conversions have decreased week-over-week due to a conversion issue. */
        const FluxConversionDecreaseAcct = 'FluxConversionDecreaseAcct';

        /** You have zero conversions over the past 14 days due to a conversion issue. */
        const FluxConversionZeroAcct = 'FluxConversionZeroAcct';

        /** Increased Microsoft Audience ads traffic. */
        const RCAudienceIncrease = 'RCAudienceIncrease';

        /** Decreased Microsoft Audience ads traffic. */
        const RCAudienceDecrease = 'RCAudienceDecrease';

        /** Your bids for {0} were increased. */
        const RCBidIncrease = 'RCBidIncrease';

        /** Your bids for {0} were decreased. */
        const RCBidDecrease = 'RCBidDecrease';

        /** {0} budgets were increased. */
        const RCBudgetIncrease = 'RCBudgetIncrease';

        /** {0} budgets were decreased. */
        const RCBudgetDecrease = 'RCBudgetDecrease';

        /** This resulted in clicks increasing by {0} during the same period. */
        const RCClickIncrease = 'RCClickIncrease';

        /** This resulted in clicks decreasing by {0} during the same period. */
        const RCClickDecrease = 'RCClickDecrease';

        /** Your conversion goal has a blocking issue. */
        const RCConversionGoalIssue = 'RCConversionGoalIssue';

        /** {0} device target bid adjustments were changed. */
        const RCDeviceTargetingBidChange = 'RCDeviceTargetingBidChange';

        /** {0} passed the Microsoft Advertising policy review. */
        const RCEditorialApproval = 'RCEditorialApproval';

        /** {0} were disapproved by Microsoft Advertising policy review. */
        const RCEditorialDisapproval = 'RCEditorialDisapproval';

        /** {0} were added. */
        const RCEntityAdditionWithCount = 'RCEntityAdditionWithCount';

        /** {0} were deleted. */
        const RCEntityDeletionWithCount = 'RCEntityDeletionWithCount';

        /** {0} were paused. */
        const RCEntityPauseWithCount = 'RCEntityPauseWithCount';

        /** {0} were enabled. */
        const RCEntityUnpauseWithCount = 'RCEntityUnpauseWithCount';

        /** Your ads were outcompeting your competitors' ads in terms of bid amounts and/or ad quality. */
        const RCMoreCompetitive = 'RCMoreCompetitive';

        /** {0} ad distribution settings became less restrictive. */
        const RCNetworkLessRestrict = 'RCNetworkLessRestrict';

        /** {0} ad distribution settings became more restrictive. */
        const RCNetworkMoreRestrict = 'RCNetworkMoreRestrict';

        /** Your account was paused due to lack of a valid insertion order. */
        const RCPaymentIssueInvoiceAccountPaused = 'RCPaymentIssueInvoiceAccountPaused';

        /** Your account was placed on hold because we haven't received one or more of your invoiced payments. */
        const RCPaymentIssueInvoiceAccountOnHold = 'RCPaymentIssueInvoiceAccountOnHold';

        /** Your account was paused due to a zero balance. */
        const RCPaymentIssuePrepayAccountPaused = 'RCPaymentIssuePrepayAccountPaused';

        /** Your account was placed on hold because a payment failed to authorize. */
        const RCPaymentIssueThresholdAccountOnHold = 'RCPaymentIssueThresholdAccountOnHold';

        /** Your previous payment issue was resolved. */
        const RCPaymentIssueYesterday = 'RCPaymentIssueYesterday';

        /** {0} were searched more frequently. */
        const RCSearchTermIncrease = 'RCSearchTermIncrease';

        /** {0} related to your campaigns were searched more frequently. */
        const RCSearchTermIncreaseClick = 'RCSearchTermIncreaseClick';

        /** {0} were searched less frequently. */
        const RCSearchTermDecrease = 'RCSearchTermDecrease';

        /** {0} related to your campaigns were searched less frequently. */
        const RCSearchTermDecreaseClick = 'RCSearchTermDecreaseClick';

        /** {0} were searched more frequently. */
        const RCSearchTermCompetitionIncrease = 'RCSearchTermCompetitionIncrease';

        /** {0} related to your campaigns were searched more frequently. */
        const RCSearchTermCompetitionIncreaseClick = 'RCSearchTermCompetitionIncreaseClick';

        /** {0} were searched less frequently. */
        const RCSearchTermCompetitionDecrease = 'RCSearchTermCompetitionDecrease';

        /** {0} related to your campaigns were searched less frequently. */
        const RCSearchTermCompetitionDecreaseClick = 'RCSearchTermCompetitionDecreaseClick';

        /** Your campaign was added. */
        const RCSingleCampaignAddition = 'RCSingleCampaignAddition';

        /** Your campaign was paused. */
        const RCSingleCampaignPause = 'RCSingleCampaignPause';

        /** Your campaign was enabled. */
        const RCSingleCampaignUnpause = 'RCSingleCampaignUnpause';

        /** Your campaign budget was increased. */
        const RCSingleCampaignBudgetIncrease = 'RCSingleCampaignBudgetIncrease';

        /** Your campaign budget was decreased. */
        const RCSingleCampaignBudgetDecrease = 'RCSingleCampaignBudgetDecrease';

        /** Your campaign's device target bid adjustment was changed. */
        const RCSingleCampaignDeviceTargetingBidChange = 'RCSingleCampaignDeviceTargetingBidChange';

        /** Your competitors' impression share increased due to improved quality scores. */
        const RCStrongerCompetitorAdQuality = 'RCStrongerCompetitorAdQuality';

        /** Your competitors' impression share increased due to increased bid amounts. */
        const RCStrongerCompetitorBid = 'RCStrongerCompetitorBid';

        /** Increased syndication partner traffic from {0}. */
        const RCSyndTrafficIncrease = 'RCSyndTrafficIncrease';

        /** Decreased syndication partner traffic from {0}. */
        const RCSyndTrafficDecrease = 'RCSyndTrafficDecrease';

        /** Adopting Expanded Text Ads that have been optimized just for you. */
        const ActAdsOppr = 'ActAdsOppr';

        /** View customized recommendations for your campaign. */
        const ActAllAvailableOppr = 'ActAllAvailableOppr';

        /** View a customized recommendation to increase visits to your website. */
        const ActBMAdoptionOppr = 'ActBMAdoptionOppr';

        /** View a customized recommendation to increase visits to your website. */
        const ActBMMKeywordOppr = 'ActBMMKeywordOppr';

        /** View a customized recommendation to increase visits to your website. */
        const ActCampaignContextKeywordOppr = 'ActCampaignContextKeywordOppr';

        /** Check the publisher report to review the performance of sites that show your ads. */
        const ActCheckPublisherWebsite = 'ActCheckPublisherWebsite';

        /** Check the auction insights report to review the performance of sites that show your ads. */
        const ActCompetitionAuctionInsight = 'ActCompetitionAuctionInsight';

        /** Boost your budgets to prevent competitors from gaining impression share. */
        const ActCompetitiveBudgetOppr = 'ActCompetitiveBudgetOppr';

        /** View a customized recommendation to increase visits to your website. */
        const ActCompetitiveKeywordOppr = 'ActCompetitiveKeywordOppr';

        /** View a customized recommendation to increase visits to your website. */
        const ActCompetitiveLocationTargetOppr = 'ActCompetitiveLocationTargetOppr';

        /** Improve the click-through rate of your ads by: */
        const ActCTRQualityBundle = 'ActCTRQualityBundle';

        /** Ensure your ad and keyword text comply with Microsoft Advertising policies. */
        const ActEditorialReviewProcess = 'ActEditorialReviewProcess';

        /** Fix your conversion goal setting to make sure you don't miss any conversions. */
        const ActFixConversionGoalSettingOppr = 'ActFixConversionGoalSettingOppr';

        /** Make sure you don't miss any conversions by fixing your UET tag. */
        const ActFixConversionTrackingOppr = 'ActFixConversionTrackingOppr';

        /** Ensure budget issues don't prevent your ads from showing. */
        const ActGeneralBudgetOppr = 'ActGeneralBudgetOppr';

        /** Create conversion goals to track more conversions. */
        const ActNewConversionGoalOppr = 'ActNewConversionGoalOppr';

        /** You need an active insertion order before your ads can run. */
        const ActInvoiceAccountPaused = 'ActInvoiceAccountPaused';

        /** You need to remove the hold before your ads can run. */
        const ActInvoiceAccountOnHold = 'ActInvoiceAccountOnHold';

        /** You need to add funds to this prepay account before your ads can run. */
        const ActPrepayAccountPaused = 'ActPrepayAccountPaused';

        /** Get more traffic by moving unused budget to campaigns that need it. */
        const ActReallocateBudgetOppr = 'ActReallocateBudgetOppr';

        /** Get your ads running again by adding active keywords to your ad group. */
        const ActRepairKeywordsOppr = 'ActRepairKeywordsOppr';

        /** Adopt responsive search ads, which automatically optimize themselves. */
        const ActRSAOppr = 'ActRSAOppr';

        /** Check the search term report to review the queries that lead to clicks on your ads. */
        const ActSearchTerm = 'ActSearchTerm';

        /** Set up conversion tracking to convert more customers and use automated bidding. */
        const ActSetupConversionTrackingOppr = 'ActSetupConversionTrackingOppr';

        /** Add sitelink extensions to make your ads more appealing. */
        const ActSiteLinkOppr = 'ActSiteLinkOppr';

        /** You need to remove the hold before your ads can run. */
        const ActThresholdAccountOnHold = 'ActThresholdAccountOnHold';

        /** Utilize website exclusions to prevent specific websites from showing your ads. */
        const ActWebsiteExclusion = 'ActWebsiteExclusion';
    }

}
