<?php

namespace Microsoft\BingAds\V13\AdInsight;

{
    /**
     * Defines the URL ID for performance insights.
     * @link https:/learn.microsoft.com/advertising/ad-insight-service/performanceinsightsurlid?view=bingads-13 PerformanceInsightsUrlId Value Set
     * 
     * @used-by UrlParameter
     */
    final class PerformanceInsightsUrlId
    {
        /** Recommendation page. */
        const RecRecommendationPage = 'RecRecommendationPage';

        /** Competition recommendation page. */
        const RecCompetitionPage = 'RecCompetitionPage';

        /** Create order. */
        const SettingCreateOrder = 'SettingCreateOrder';

        /** Remove hold. */
        const SettingRemoveHold = 'SettingRemoveHold';

        /** Add funds. */
        const SettingAddFunds = 'SettingAddFunds';

        /** Search term report. */
        const ReportSearchTerm = 'ReportSearchTerm';

        /** Publisher report. */
        const ReportPublisherWebsite = 'ReportPublisherWebsite';

        /** Auction insights report. */
        const ReportAuctionInsights = 'ReportAuctionInsights';

        /** Learn more about network settings. */
        const HelpDocNetworkSetting = 'HelpDocNetworkSetting';

        /** Learn more about editorials. */
        const HelpDocEditorial = 'HelpDocEditorial';

        /** Learn more about website reports. */
        const HelpDocWebsiteReport = 'HelpDocWebsiteReport';

        /** Learn more about website exclusion. */
        const HelpDocWebsiteExclusion = 'HelpDocWebsiteExclusion';

        /** Learn more about creating an order. */
        const HelpDocCreateOrder = 'HelpDocCreateOrder';

        /** Learn more about removing a hold. */
        const HelpDocRemoveHold = 'HelpDocRemoveHold';

        /** Learn more about adding funds. */
        const HelpDocAddFunds = 'HelpDocAddFunds';

        /** Learn more about recommendations. */
        const HelpDocRecommendation = 'HelpDocRecommendation';

        /** Learn more about the Microsoft Audience Network. */
        const HelpDocAudienceNetwork = 'HelpDocAudienceNetwork';
    }

}
