<?php

namespace Microsoft\BingAds\V13\CampaignManagement;

{
    /**
     * Defines the possible options for action text that can be displayed in an action ad extension.
     * @link https:/learn.microsoft.com/advertising/campaign-management-service/actionadextensionactiontype?view=bingads-13 ActionAdExtensionActionType Value Set
     * 
     * @used-by ActionAdExtension
     */
    final class ActionAdExtensionActionType
    {
        /** The action type is BuildNow, Dealers, GetDemo, GetNow, GoToDemo, RenewNow, Reorder, SeeDemo, SeeModels, SeeOffers, or ViewDemo. */
        const Unknown = 'Unknown';

        /** Use the translated version of ActNow in the action ad extension. */
        const ActNow = 'ActNow';

        /** Use the translated version of ApplyNow in the action ad extension. */
        const ApplyNow = 'ApplyNow';

        /** Use the translated version of BetNow in the action ad extension. */
        const BetNow = 'BetNow';

        /** Use the translated version of BidNow in the action ad extension. */
        const BidNow = 'BidNow';

        /** Use the translated version of BookACar in the action ad extension. */
        const BookACar = 'BookACar';

        /** Use the translated version of BookHotel in the action ad extension. */
        const BookHotel = 'BookHotel';

        /** Use the translated version of BookNow in the action ad extension. */
        const BookNow = 'BookNow';

        /** Use the translated version of LearnMore in the action ad extension. */
        const Browse = 'Browse';

        /** Use the translated version of BuyNow in the action ad extension. */
        const BuyNow = 'BuyNow';

        /** Use the translated version of ChatNow in the action ad extension. */
        const ChatNow = 'ChatNow';

        /** Use the translated version of Compare in the action ad extension. */
        const Compare = 'Compare';

        /** Use the translated version of ContactUs in the action ad extension. */
        const ContactUs = 'ContactUs';

        /** Use the translated version of Coupon in the action ad extension. */
        const Coupon = 'Coupon';

        /** Use the translated version of Donate in the action ad extension. */
        const Donate = 'Donate';

        /** Use the translated version of Download in the action ad extension. */
        const Download = 'Download';

        /** Use the translated version of EmailNow in the action ad extension. */
        const EmailNow = 'EmailNow';

        /** Use the translated version of EnrollNow in the action ad extension. */
        const EnrollNow = 'EnrollNow';

        /** Use the translated version of LearnMore in the action ad extension. */
        const Explore = 'Explore';

        /** Use the translated version of FileNow in the action ad extension. */
        const FileNow = 'FileNow';

        /** Use the translated version of FindJob in the action ad extension. */
        const FindJob = 'FindJob';

        /** Use the translated version of FreePlay in the action ad extension. */
        const FreePlay = 'FreePlay';

        /** Use the translated version of FreeQuote in the action ad extension. */
        const FreeQuote = 'FreeQuote';

        /** Use the translated version of FreeTrial in the action ad extension. */
        const FreeTrial = 'FreeTrial';

        /** Use the translated version of GetDeals in the action ad extension. */
        const GetDeals = 'GetDeals';

        /** Use the translated version of GetOffer in the action ad extension. */
        const GetOffer = 'GetOffer';

        /** Use the translated version of GetQuote in the action ad extension. */
        const GetQuote = 'GetQuote';

        /** Use the translated version of JoinNow in the action ad extension. */
        const JoinNow = 'JoinNow';

        /** Use the translated version of LearnMore in the action ad extension. */
        const LearnMore = 'LearnMore';

        /** Use the translated version of ListenNow in the action ad extension. */
        const ListenNow = 'ListenNow';

        /** Use the translated version of LogIn in the action ad extension. */
        const LogIn = 'LogIn';

        /** Use the translated version of ContactUs in the action ad extension. */
        const Message = 'Message';

        /** Use the translated version of ViewCars in the action ad extension. */
        const NewCars = 'NewCars';

        /** Use the translated version of OrderNow in the action ad extension. */
        const OrderNow = 'OrderNow';

        /** Use the translated version of PlayGame in the action ad extension. */
        const PlayGame = 'PlayGame';

        /** Use the translated version of PlayNow in the action ad extension. */
        const PlayNow = 'PlayNow';

        /** Use the translated version of PostJob in the action ad extension. */
        const PostJob = 'PostJob';

        /** Use the translated version of Register in the action ad extension. */
        const Register = 'Register';

        /** Use the translated version of RentACar in the action ad extension. */
        const RentACar = 'RentACar';

        /** Use the translated version of RentNow in the action ad extension. */
        const RentNow = 'RentNow';

        /** Use the translated version of Reserve in the action ad extension. */
        const Reserve = 'Reserve';

        /** Use the translated version of Sale in the action ad extension. */
        const Sale = 'Sale';

        /** Use the translated version of SaveNow in the action ad extension. */
        const SaveNow = 'SaveNow';

        /** Use the translated version of Schedule in the action ad extension. */
        const Schedule = 'Schedule';

        /** Use the translated version of SeeMenu in the action ad extension. */
        const SeeMenu = 'SeeMenu';

        /** Use the translated version of LearnMore in the action ad extension. */
        const SeeMore = 'SeeMore';

        /** Use the translated version of SeeOffer in the action ad extension. */
        const SeeOffer = 'SeeOffer';

        /** Use the translated version of SellNow in the action ad extension. */
        const SellNow = 'SellNow';

        /** Use the translated version of ShopNOw in the action ad extension. */
        const ShopNow = 'ShopNow';

        /** Use the translated version of Showtimes in the action ad extension. */
        const Showtimes = 'Showtimes';

        /** Use the translated version of SignIn in the action ad extension. */
        const SignIn = 'SignIn';

        /** Use the translated version of SignUp in the action ad extension. */
        const SignUp = 'SignUp';

        /** Use the translated version of FreeTrial in the action ad extension. */
        const StartFree = 'StartFree';

        /** Use the translated version of StartNow in the action ad extension. */
        const StartNow = 'StartNow';

        /** Use the translated version of Subscribe in the action ad extension. */
        const Subscribe = 'Subscribe';

        /** Use the translated version of TestDrive in the action ad extension. */
        const TestDrive = 'TestDrive';

        /** Use the translated version of TryNow in the action ad extension. */
        const TryNow = 'TryNow';

        /** Use the translated version of ViewCars in the action ad extension. */
        const UsedCars = 'UsedCars';

        /** Use the translated version of ViewCars in the action ad extension. */
        const ViewCars = 'ViewCars';

        /** Use the translated version of LearnMore in the action ad extension. */
        const ViewNow = 'ViewNow';

        /** Use the translated version of ViewPlans in the action ad extension. */
        const ViewPlans = 'ViewPlans';

        /** Use the translated version of LearnMore in the action ad extension. */
        const VisitSite = 'VisitSite';

        /** Use the translated version of VoteNow in the action ad extension. */
        const VoteNow = 'VoteNow';

        /** Use the translated version of Watch in the action ad extension. */
        const Watch = 'Watch';

        /** Use the translated version of WatchMore in the action ad extension. */
        const WatchMore = 'WatchMore';

        /** Use the translated version of WatchNow in the action ad extension. */
        const WatchNow = 'WatchNow';

        /** Use the translated version of Directions in the action ad extension. */
        const Directions = 'Directions';

        /** Use the translated version of FindStore in the action ad extension. */
        const FindStore = 'FindStore';

        /** Use the translated version of SwitchNow in the action ad extension. */
        const SwitchNow = 'SwitchNow';

        /** Use the translated version of VisitStore in the action ad extension. */
        const VisitStore = 'VisitStore';

        /** Use the translated version of RenewNow in the action ad extension. */
        const RenewNow = 'RenewNow';

        /** Use the translated version of Reorder in the action ad extension. */
        const Reorder = 'Reorder';

        /** Use the translated version of BuildNow in the action ad extension. */
        const BuildNow = 'BuildNow';

        /** Use the translated version of Dealers in the action ad extension. */
        const Dealers = 'Dealers';

        /** Use the translated version of GetDemo in the action ad extension. */
        const GetDemo = 'GetDemo';

        /** Use the translated version of GetNow in the action ad extension. */
        const GetNow = 'GetNow';

        /** Use the translated version of GoToDemo in the action ad extension. */
        const GoToDemo = 'GoToDemo';

        /** Use the translated version of SeeDemo in the action ad extension. */
        const SeeDemo = 'SeeDemo';

        /** Use the translated version of SeeModels in the action ad extension. */
        const SeeModels = 'SeeModels';

        /** Use the translated version of SeeOffers in the action ad extension. */
        const SeeOffers = 'SeeOffers';

        /** Use the translated version of ViewDemo in the action ad extension. */
        const ViewDemo = 'ViewDemo';
    }

}
