<?php

namespace Microsoft\BingAds\V13\CampaignManagement;

{
    /**
     * Defines the possible types of ad extension headers.
     * @link https:/learn.microsoft.com/advertising/campaign-management-service/adextensionheadertype?view=bingads-13 AdExtensionHeaderType Value Set
     * 
     * @used-by FilterLinkAdExtension
     */
    final class AdExtensionHeaderType
    {
        /** Reserved for future use. */
        const Unknown = 'Unknown';

        /** Use the translated version of Amenities in the ad extension header. */
        const Amenities = 'Amenities';

        /** Use the translated version of Brands in the ad extension header. */
        const Brands = 'Brands';

        /** Use the translated version of Classes in the ad extension header. */
        const Classes = 'Classes';

        /** Use the translated version of Courses in the ad extension header. */
        const Courses = 'Courses';

        /** Use the translated version of DailyRates in the ad extension header. */
        const DailyRates = 'DailyRates';

        /** Use the translated version of DegreePrograms in the ad extension header. */
        const DegreePrograms = 'DegreePrograms';

        /** Use the translated version of Departments in the ad extension header. */
        const Departments = 'Departments';

        /** Use the translated version of Destinations in the ad extension header. */
        const Destinations = 'Destinations';

        /** Use the translated version of FeaturedHotels in the ad extension header. */
        const FeaturedHotels = 'FeaturedHotels';

        /** Use the translated version of Goods in the ad extension header. */
        const Goods = 'Goods';

        /** Use the translated version of Grades in the ad extension header. */
        const Grades = 'Grades';

        /** Use the translated version of Highlights in the ad extension header. */
        const Highlights = 'Highlights';

        /** Use the translated version of InsuranceCoverage in the ad extension header. */
        const InsuranceCoverage = 'InsuranceCoverage';

        /** Use the translated version of Items in the ad extension header. */
        const Items = 'Items';

        /** Use the translated version of Languages in the ad extension header. */
        const Languages = 'Languages';

        /** Use the translated version of Locations in the ad extension header. */
        const Locations = 'Locations';

        /** Use the translated version of Models in the ad extension header. */
        const Models = 'Models';

        /** Use the translated version of Neighborhoods in the ad extension header. */
        const Neighborhoods = 'Neighborhoods';

        /** Use the translated version of Prices in the ad extension header. */
        const Prices = 'Prices';

        /** Use the translated version of Rates in the ad extension header. */
        const Rates = 'Rates';

        /** Use the translated version of Ratings in the ad extension header. */
        const Ratings = 'Ratings';

        /** Use the translated version of SchoolDistricts in the ad extension header. */
        const SchoolDistricts = 'SchoolDistricts';

        /** Use the translated version of Services in the ad extension header. */
        const Services = 'Services';

        /** Use the translated version of ServiceCatalog in the ad extension header. */
        const ServiceCatalog = 'ServiceCatalog';

        /** Use the translated version of Shows in the ad extension header. */
        const Shows = 'Shows';

        /** Use the translated version of Sizes in the ad extension header. */
        const Sizes = 'Sizes';

        /** Use the translated version of Styles in the ad extension header. */
        const Styles = 'Styles';

        /** Use the translated version of Tools in the ad extension header. */
        const Tools = 'Tools';

        /** Use the translated version of Topics in the ad extension header. */
        const Topics = 'Topics';

        /** Use the translated version of Types in the ad extension header. */
        const Types = 'Types';

        /** Use the translated version of Vacations in the ad extension header. */
        const Vacations = 'Vacations';

        /** Use the translated version of Vehicles in the ad extension header. */
        const Vehicles = 'Vehicles';

        /** Use the translated version of What in the ad extension header. */
        const What = 'What';

        /** Use the translated version of Who in the ad extension header. */
        const Who = 'Who';

        /** Use the translated version of Why in the ad extension header. */
        const Why = 'Why';

        /** Use the translated version of Deals in the ad extension header. */
        const Deals = 'Deals';

        /** Reserved. */
        const BestSellers = 'BestSellers';

        /** Reserved. */
        const AgeGroups = 'AgeGroups';

        /** Reserved. */
        const Occasions = 'Occasions';

        /** Reserved. */
        const Flowers = 'Flowers';
    }

}
