<?php

namespace Microsoft\BingAds\V13\CampaignManagement;

{
    /**
     * Defines the possible values for a brief, punchy reason for customers to click your ad right now.
     * @link https:/learn.microsoft.com/advertising/campaign-management-service/calltoaction?view=bingads-13 CallToAction Value Set
     * 
     * @used-by AssetGroup
     * @used-by ResponsiveAd
     */
    final class CallToAction
    {
        /** The corresponding call to action in the ad. */
        const Unknown = 'Unknown';

        /** The corresponding call to action in the ad. */
        const ActNow = 'ActNow';

        /** The corresponding call to action in the ad. */
        const ApplyNow = 'ApplyNow';

        /** The corresponding call to action in the ad. */
        const BetNow = 'BetNow';

        /** The corresponding call to action in the ad. */
        const BidNow = 'BidNow';

        /** The corresponding call to action in the ad. */
        const BookACar = 'BookACar';

        /** The corresponding call to action in the ad. */
        const BookHotel = 'BookHotel';

        /** The corresponding call to action in the ad. */
        const BookNow = 'BookNow';

        /** Use the LearnMore call to action in the ad. */
        const Browse = 'Browse';

        /** The corresponding call to action in the ad. */
        const BuyNow = 'BuyNow';

        /** The corresponding call to action in the ad. */
        const ChatNow = 'ChatNow';

        /** The corresponding call to action in the ad. */
        const Compare = 'Compare';

        /** The corresponding call to action in the ad. */
        const ContactUs = 'ContactUs';

        /** Use the GetCoupon call to action in the ad. */
        const Coupon = 'Coupon';

        /** The corresponding call to action in the ad. */
        const Donate = 'Donate';

        /** The corresponding call to action in the ad. */
        const Download = 'Download';

        /** The corresponding call to action in the ad. */
        const EmailNow = 'EmailNow';

        /** The corresponding call to action in the ad. */
        const EnrollNow = 'EnrollNow';

        /** Use the LearnMore call to action in the ad. */
        const Explore = 'Explore';

        /** The corresponding call to action in the ad. */
        const FileNow = 'FileNow';

        /** The corresponding call to action in the ad. */
        const FindJob = 'FindJob';

        /** The corresponding call to action in the ad. */
        const FreePlay = 'FreePlay';

        /** The corresponding call to action in the ad. */
        const FreeQuote = 'FreeQuote';

        /** The corresponding call to action in the ad. */
        const FreeTrial = 'FreeTrial';

        /** The corresponding call to action in the ad. */
        const GetDeals = 'GetDeals';

        /** The corresponding call to action in the ad. */
        const GetOffer = 'GetOffer';

        /** The corresponding call to action in the ad. */
        const GetQuote = 'GetQuote';

        /** The corresponding call to action in the ad. */
        const JoinNow = 'JoinNow';

        /** The corresponding call to action in the ad. */
        const LearnMore = 'LearnMore';

        /** The corresponding call to action in the ad. */
        const ListenNow = 'ListenNow';

        /** The corresponding call to action in the ad. */
        const LogIn = 'LogIn';

        /** Use the ContactUs call to action in the ad. */
        const Message = 'Message';

        /** Use the ViewCars call to action in the ad. */
        const NewCars = 'NewCars';

        /** The corresponding call to action in the ad. */
        const OrderNow = 'OrderNow';

        /** The corresponding call to action in the ad. */
        const PlayGame = 'PlayGame';

        /** The corresponding call to action in the ad. */
        const PlayNow = 'PlayNow';

        /** The corresponding call to action in the ad. */
        const PostJob = 'PostJob';

        /** The corresponding call to action in the ad. */
        const Register = 'Register';

        /** The corresponding call to action in the ad. */
        const RentACar = 'RentACar';

        /** The corresponding call to action in the ad. */
        const RentNow = 'RentNow';

        /** The corresponding call to action in the ad. */
        const Reserve = 'Reserve';

        /** Use the SeeSale call to action in the ad. */
        const Sale = 'Sale';

        /** The corresponding call to action in the ad. */
        const SaveNow = 'SaveNow';

        /** The corresponding call to action in the ad. */
        const Schedule = 'Schedule';

        /** The corresponding call to action in the ad. */
        const SeeMenu = 'SeeMenu';

        /** Use the LearnMore call to action in the ad. */
        const SeeMore = 'SeeMore';

        /** The corresponding call to action in the ad. */
        const SeeOffer = 'SeeOffer';

        /** The corresponding call to action in the ad. */
        const SellNow = 'SellNow';

        /** The corresponding call to action in the ad. */
        const ShopNow = 'ShopNow';

        /** The corresponding call to action in the ad. */
        const Showtimes = 'Showtimes';

        /** The corresponding call to action in the ad. */
        const SignIn = 'SignIn';

        /** The corresponding call to action in the ad. */
        const SignUp = 'SignUp';

        /** Use the FreeTrial call to action in the ad. */
        const StartFree = 'StartFree';

        /** The corresponding call to action in the ad. */
        const StartNow = 'StartNow';

        /** The corresponding call to action in the ad. */
        const Subscribe = 'Subscribe';

        /** The corresponding call to action in the ad. */
        const TestDrive = 'TestDrive';

        /** The corresponding call to action in the ad. */
        const TryNow = 'TryNow';

        /** Use the ViewCars call to action in the ad. */
        const UsedCars = 'UsedCars';

        /** The corresponding call to action in the ad. */
        const ViewCars = 'ViewCars';

        /** The corresponding call to action in the ad. */
        const ViewNow = 'ViewNow';

        /** The corresponding call to action in the ad. */
        const ViewPlans = 'ViewPlans';

        /** The corresponding call to action in the ad. */
        const VisitSite = 'VisitSite';

        /** The corresponding call to action in the ad. */
        const VoteNow = 'VoteNow';

        /** The corresponding call to action in the ad. */
        const Watch = 'Watch';

        /** The corresponding call to action in the ad. */
        const WatchMore = 'WatchMore';

        /** The corresponding call to action in the ad. */
        const WatchNow = 'WatchNow';

        /** The corresponding call to action in the ad. */
        const Directions = 'Directions';

        /** The corresponding call to action in the ad. */
        const FindStore = 'FindStore';

        /** The corresponding call to action in the ad. */
        const SwitchNow = 'SwitchNow';

        /** The corresponding call to action in the ad. */
        const VisitStore = 'VisitStore';

        /** The corresponding call to action in the ad. */
        const RenewNow = 'RenewNow';

        /** The corresponding call to action in the ad. */
        const Reorder = 'Reorder';

        /** The corresponding call to action in the ad. */
        const Default = 'Default';

        /** The corresponding call to action in the ad. */
        const NoButton = 'NoButton';

        /** The corresponding call to action in the ad. */
        const Install = 'Install';

        /** The corresponding call to action in the ad. */
        const AddToCart = 'AddToCart';

        /** The corresponding call to action in the ad. */
        const BookTravel = 'BookTravel';

        /** The corresponding call to action in the ad. */
        const Buy = 'Buy';

        /** The corresponding call to action in the ad. */
        const OpenLink = 'OpenLink';

        /** The corresponding call to action in the ad. */
        const RegisterNow = 'RegisterNow';

        /** The corresponding call to action in the ad. */
        const BuildNow = 'BuildNow';

        /** The corresponding call to action in the ad. */
        const Dealers = 'Dealers';

        /** The corresponding call to action in the ad. */
        const GetDemo = 'GetDemo';

        /** The corresponding call to action in the ad. */
        const GetNow = 'GetNow';

        /** The corresponding call to action in the ad. */
        const GoToDemo = 'GoToDemo';

        /** The corresponding call to action in the ad. */
        const SeeDemo = 'SeeDemo';

        /** The corresponding call to action in the ad. */
        const SeeModels = 'SeeModels';

        /** The corresponding call to action in the ad. */
        const SeeOffers = 'SeeOffers';

        /** The corresponding call to action in the ad. */
        const ViewDemo = 'ViewDemo';

        /** The corresponding call to action in the ad. */
        const Automated = 'Automated';
    }

}
