<?php

namespace Microsoft\BingAds\V13\CampaignManagement;

{
    /**
     * Defines the PerformanceMaxSetting object.
     * @link https:/learn.microsoft.com/advertising/campaign-management-service/performancemaxsetting?view=bingads-13 PerformanceMaxSetting Data Object
     */
    final class PerformanceMaxSetting extends Setting
    {
        /**
         * If false, then image assets will be dynamically generated.
         * @var boolean
         */
        public $AutoGeneratedImageOptOut;

        /**
         * If false, then text assets will be dynamically generated.
         * @var boolean
         */
        public $AutoGeneratedTextOptOut;

        /**
         * Reserved.
         * @var boolean
         */
        public $CostPerSaleOptOut;

        /**
         * If false, then the entire domain will be targeted.
         * @var boolean
         */
        public $FinalUrlExpansionOptOut;

        /**
         * The page feed identifiers for performance max ads.
         * @var integer[]
         */
        public $PageFeedIds;
    }

}
