<?php

namespace Microsoft\BingAds\V13\CustomerManagement;

{
    /**
     * Defines a selection of locale values.
     * @link https:/learn.microsoft.com/advertising/customer-management-service/lcid?view=bingads-13 LCID Value Set
     * 
     * @used-by User
     * @used-by UserInvitation
     */
    final class LCID
    {
        /** Arabic (Saudi Arabia) */
        const ArabicSaudiArabia = 'ArabicSaudiArabia';

        /** The corresponding LCID type. */
        const ArabicAlgeria = 'ArabicAlgeria';

        /** The corresponding LCID type. */
        const ArabicBahrain = 'ArabicBahrain';

        /** The corresponding LCID type. */
        const ArabicEgypt = 'ArabicEgypt';

        /** The corresponding LCID type. */
        const ArabicIraq = 'ArabicIraq';

        /** The corresponding LCID type. */
        const ArabicJordan = 'ArabicJordan';

        /** The corresponding LCID type. */
        const ArabicKuwait = 'ArabicKuwait';

        /** The corresponding LCID type. */
        const ArabicLebanon = 'ArabicLebanon';

        /** The corresponding LCID type. */
        const ArabicLibya = 'ArabicLibya';

        /** The corresponding LCID type. */
        const ArabicMorocco = 'ArabicMorocco';

        /** The corresponding LCID type. */
        const ArabicOman = 'ArabicOman';

        /** The corresponding LCID type. */
        const ArabicQatar = 'ArabicQatar';

        /** The corresponding LCID type. */
        const ArabicTunisia = 'ArabicTunisia';

        /** The corresponding LCID type. */
        const ArabicUnitedArabEmirates = 'ArabicUnitedArabEmirates';

        /** The corresponding LCID type. */
        const ArabicYemen = 'ArabicYemen';

        /** Chinese (Taiwan) */
        const ChineseTaiwan = 'ChineseTaiwan';

        /** Danish (Denmark) */
        const DanishDenmark = 'DanishDenmark';

        /** German (Germany) */
        const GermanGermany = 'GermanGermany';

        /** English (United States) */
        const EnglishUS = 'EnglishUS';

        /** Spanish (Spain) */
        const SpanishSpain = 'SpanishSpain';

        /** Finnish (Finland) */
        const FinnishFinland = 'FinnishFinland';

        /** French (France) */
        const FrenchFrance = 'FrenchFrance';

        /** Hebrew (Israel) */
        const HebrewIsrael = 'HebrewIsrael';

        /** Italian (Italy) */
        const ItalianItaly = 'ItalianItaly';

        /** Japanese (Japan) */
        const JapaneseJapan = 'JapaneseJapan';

        /** Korean (Korea) */
        const KoreanKorea = 'KoreanKorea';

        /** Dutch (Netherlands) */
        const DutchNetherlands = 'DutchNetherlands';

        /** Norwegian (Norway) */
        const NorwegianNorway = 'NorwegianNorway';

        /** The corresponding LCID type. */
        const PortugueseBrazil = 'PortugueseBrazil';

        /** Russian (Russia) */
        const RussianRussia = 'RussianRussia';

        /** Swedish (Sweden) */
        const SwedishSweden = 'SwedishSweden';

        /** English (Thailand) */
        const EnglishThailand = 'EnglishThailand';

        /** English (Indonesia) */
        const EnglishIndonesia = 'EnglishIndonesia';

        /** English (Vietnam) */
        const EnglishVietnam = 'EnglishVietnam';

        /** Chinese (China) */
        const ChineseChina = 'ChineseChina';

        /** German (Switzerland) */
        const GermanSwitzerland = 'GermanSwitzerland';

        /** English (United Kingdom) */
        const EnglishUK = 'EnglishUK';

        /** Spanish (Mexico) */
        const SpanishMexico = 'SpanishMexico';

        /** Chinese (Hong Kong SAR) */
        const ChineseHongKong = 'ChineseHongKong';

        /** German (Austria) */
        const GermanAustria = 'GermanAustria';

        /** English (Australia) */
        const EnglishAustralia = 'EnglishAustralia';

        /** French (Canada) */
        const FrenchCanada = 'FrenchCanada';

        /** English (Canada) */
        const EnglishCanada = 'EnglishCanada';

        /** English (New Zealand) */
        const EnglishNewZealand = 'EnglishNewZealand';

        /** The corresponding LCID type. */
        const EnglishIreland = 'EnglishIreland';

        /** Spanish (Venezuela) */
        const SpanishVenezuela = 'SpanishVenezuela';

        /** Spanish (Colombia) */
        const SpanishColombia = 'SpanishColombia';

        /** Spanish (Peru) */
        const SpanishPeru = 'SpanishPeru';

        /** Spanish (Argentina) */
        const SpanishArgentina = 'SpanishArgentina';

        /** English (Philippines) */
        const EnglishPhilippines = 'EnglishPhilippines';

        /** Spanish (Chile) */
        const SpanishChile = 'SpanishChile';

        /** English (India) */
        const EnglishIndia = 'EnglishIndia';

        /** English (Malaysia) */
        const EnglishMalaysia = 'EnglishMalaysia';

        /** English (Singapore) */
        const EnglishSingapore = 'EnglishSingapore';

        /** Reserved. */
        const TurkishTurkey = 'TurkishTurkey';

        /** Reserved. */
        const FilipinoPhilippines = 'FilipinoPhilippines';
    }

}
