<?php

namespace Microsoft\BingAds\V13\CustomerManagement;

{
    /**
     * Defines the possible time zones for the customer management service.
     * @link https:/learn.microsoft.com/advertising/customer-management-service/timezonetype?view=bingads-13 TimeZoneType Value Set
     * 
     * @used-by AdvertiserAccount
     */
    final class TimeZoneType
    {
        /** The corresponding time zone type. */
        const AbuDhabiMuscat = 'AbuDhabiMuscat';

        /** The corresponding time zone type. */
        const Adelaide = 'Adelaide';

        /** The corresponding time zone type. */
        const Alaska = 'Alaska';

        /** The corresponding time zone type. */
        const AlmatyNovosibirsk = 'AlmatyNovosibirsk';

        /** The corresponding time zone type. */
        const AmsterdamBerlinBernRomeStockholmVienna = 'AmsterdamBerlinBernRomeStockholmVienna';

        /** The corresponding time zone type. */
        const Arizona = 'Arizona';

        /** The corresponding time zone type. */
        const AstanaDhaka = 'AstanaDhaka';

        /** The corresponding time zone type. */
        const AthensBuckarestIstanbul = 'AthensBuckarestIstanbul';

        /** The corresponding time zone type. */
        const AtlanticTimeCanada = 'AtlanticTimeCanada';

        /** The corresponding time zone type. */
        const AucklandWellington = 'AucklandWellington';

        /** The corresponding time zone type. */
        const Azores = 'Azores';

        /** The corresponding time zone type. */
        const Baghdad = 'Baghdad';

        /** The corresponding time zone type. */
        const BakuTbilisiYerevan = 'BakuTbilisiYerevan';

        /** The corresponding time zone type. */
        const BangkokHanoiJakarta = 'BangkokHanoiJakarta';

        /** The corresponding time zone type. */
        const BeijingChongqingHongKongUrumqi = 'BeijingChongqingHongKongUrumqi';

        /** The corresponding time zone type. */
        const BelgradeBratislavaBudapestLjubljanaPrague = 'BelgradeBratislavaBudapestLjubljanaPrague';

        /** The corresponding time zone type. */
        const BogotaLimaQuito = 'BogotaLimaQuito';

        /** The corresponding time zone type. */
        const Brasilia = 'Brasilia';

        /** The corresponding time zone type. */
        const Brisbane = 'Brisbane';

        /** The corresponding time zone type. */
        const BrusselsCopenhagenMadridParis = 'BrusselsCopenhagenMadridParis';

        /** The corresponding time zone type. */
        const Bucharest = 'Bucharest';

        /** The corresponding time zone type. */
        const BuenosAiresGeorgetown = 'BuenosAiresGeorgetown';

        /** The corresponding time zone type. */
        const Cairo = 'Cairo';

        /** The corresponding time zone type. */
        const CanberraMelbourneSydney = 'CanberraMelbourneSydney';

        /** The corresponding time zone type. */
        const CapeVerdeIsland = 'CapeVerdeIsland';

        /** The corresponding time zone type. */
        const CaracasLaPaz = 'CaracasLaPaz';

        /** The corresponding time zone type. */
        const CasablancaMonrovia = 'CasablancaMonrovia';

        /** The corresponding time zone type. */
        const CentralAmerica = 'CentralAmerica';

        /** The corresponding time zone type. */
        const CentralTimeUSCanada = 'CentralTimeUSCanada';

        /** The corresponding time zone type. */
        const ChennaiKolkataMumbaiNewDelhi = 'ChennaiKolkataMumbaiNewDelhi';

        /** The corresponding time zone type. */
        const ChihuahuaLaPazMazatlan = 'ChihuahuaLaPazMazatlan';

        /** The corresponding time zone type. */
        const Darwin = 'Darwin';

        /** The corresponding time zone type. */
        const EasternTimeUSCanada = 'EasternTimeUSCanada';

        /** The corresponding time zone type. */
        const Ekaterinburg = 'Ekaterinburg';

        /** The corresponding time zone type. */
        const FijiKamchatkaMarshallIsland = 'FijiKamchatkaMarshallIsland';

        /** The corresponding time zone type. */
        const Greenland = 'Greenland';

        /** The corresponding time zone type. */
        const GreenwichMeanTimeDublinEdinburghLisbonLondon = 'GreenwichMeanTimeDublinEdinburghLisbonLondon';

        /** The corresponding time zone type. */
        const GuadalajaraMexicoCityMonterrey = 'GuadalajaraMexicoCityMonterrey';

        /** The corresponding time zone type. */
        const GuamPortMoresby = 'GuamPortMoresby';

        /** The corresponding time zone type. */
        const HararePretoria = 'HararePretoria';

        /** The corresponding time zone type. */
        const Hawaii = 'Hawaii';

        /** The corresponding time zone type. */
        const HelsinkiKyivRigaSofiaTallinnVilnius = 'HelsinkiKyivRigaSofiaTallinnVilnius';

        /** The corresponding time zone type. */
        const Hobart = 'Hobart';

        /** The corresponding time zone type. */
        const IndianaEast = 'IndianaEast';

        /** The corresponding time zone type. */
        const InternationalDateLineWest = 'InternationalDateLineWest';

        /** The corresponding time zone type. */
        const IrkutskUlaanBataar = 'IrkutskUlaanBataar';

        /** The corresponding time zone type. */
        const IslamabadKarachiTashkent = 'IslamabadKarachiTashkent';

        /** The corresponding time zone type. */
        const Jerusalem = 'Jerusalem';

        /** The corresponding time zone type. */
        const Kabul = 'Kabul';

        /** The corresponding time zone type. */
        const Kathmandu = 'Kathmandu';

        /** The corresponding time zone type. */
        const Krasnoyarsk = 'Krasnoyarsk';

        /** The corresponding time zone type. */
        const KualaLumpurSingapore = 'KualaLumpurSingapore';

        /** The corresponding time zone type. */
        const KuwaitRiyadh = 'KuwaitRiyadh';

        /** The corresponding time zone type. */
        const SolomonIslandNewCaledonia = 'SolomonIslandNewCaledonia';

        /** The corresponding time zone type. */
        const MidAtlantic = 'MidAtlantic';

        /** The corresponding time zone type. */
        const MidwayIslandAndSamoa = 'MidwayIslandAndSamoa';

        /** The corresponding time zone type. */
        const MoscowStPetersburgVolgograd = 'MoscowStPetersburgVolgograd';

        /** The corresponding time zone type. */
        const MountainTimeUSCanada = 'MountainTimeUSCanada';

        /** The corresponding time zone type. */
        const Nairobi = 'Nairobi';

        /** Reserved. */
        const Newfoundland = 'Newfoundland';

        /** The corresponding time zone type. */
        const Nukualofa = 'Nukualofa';

        /** The corresponding time zone type. */
        const OsakaSapporoTokyo = 'OsakaSapporoTokyo';

        /** The corresponding time zone type. */
        const PacificTimeUSCanadaTijuana = 'PacificTimeUSCanadaTijuana';

        /** The corresponding time zone type. */
        const Perth = 'Perth';

        /** Reserved. */
        const Rangoon = 'Rangoon';

        /** The corresponding time zone type. */
        const Santiago = 'Santiago';

        /** The corresponding time zone type. */
        const SarajevoSkopjeWarsawZagreb = 'SarajevoSkopjeWarsawZagreb';

        /** The corresponding time zone type. */
        const Saskatchewan = 'Saskatchewan';

        /** The corresponding time zone type. */
        const Seoul = 'Seoul';

        /** The corresponding time zone type. */
        const SriJayawardenepura = 'SriJayawardenepura';

        /** The corresponding time zone type. */
        const Taipei = 'Taipei';

        /** The corresponding time zone type. */
        const Tehran = 'Tehran';

        /** The corresponding time zone type. */
        const Vladivostok = 'Vladivostok';

        /** The corresponding time zone type. */
        const WestCentralAfrica = 'WestCentralAfrica';

        /** The corresponding time zone type. */
        const Yakutsk = 'Yakutsk';
    }

}
