<?php

namespace Microsoft\BingAds\V13\Reporting;

{
    /**
     * Defines the language values that you can use to filter the report data.
     * @link https:/learn.microsoft.com/advertising/reporting-service/languagereportfilter?view=bingads-13 LanguageReportFilter Value Set
     * 
     * @used-by AdDynamicTextPerformanceReportFilter
     * @used-by AdGroupPerformanceReportFilter
     * @used-by AdPerformanceReportFilter
     * @used-by AgeGenderAudienceReportFilter
     * @used-by DestinationUrlPerformanceReportFilter
     * @used-by DSAAutoTargetPerformanceReportFilter
     * @used-by DSACategoryPerformanceReportFilter
     * @used-by DSASearchQueryPerformanceReportFilter
     * @used-by GeographicPerformanceReportFilter
     * @used-by KeywordPerformanceReportFilter
     * @used-by ProductDimensionPerformanceReportFilter
     * @used-by ProductPartitionPerformanceReportFilter
     * @used-by ProductPartitionUnitPerformanceReportFilter
     * @used-by ProductSearchQueryPerformanceReportFilter
     * @used-by ProfessionalDemographicsAudienceReportFilter
     * @used-by PublisherUsagePerformanceReportFilter
     * @used-by SearchQueryPerformanceReportFilter
     * @used-by ShareOfVoiceReportFilter
     * @used-by UserLocationPerformanceReportFilter
     */
    final class LanguageReportFilter
    {
        /** The report will contain data for ads that were viewed in Danish. */
        const Danish = 'Danish';

        /** The report will contain data for ads that were viewed in Dutch. */
        const Dutch = 'Dutch';

        /** The report will contain data for ads that were viewed in English. */
        const English = 'English';

        /** The report will contain data for ads that were viewed in Finnish. */
        const Finnish = 'Finnish';

        /** The report will contain data for ads that were viewed in French. */
        const French = 'French';

        /** The report will contain data for ads that were viewed in German. */
        const German = 'German';

        /** The report will contain data for ads that were viewed in Italian. */
        const Italian = 'Italian';

        /** The report will contain data for ads that were viewed in Japanese. */
        const Japanese = 'Japanese';

        /** The report will contain data for ads that were viewed in Norwegian. */
        const Norwegian = 'Norwegian';

        /** The report will contain data for ads that were viewed in Portuguese. */
        const Portuguese = 'Portuguese';

        /** The report will contain data for ads that were viewed in Swedish. */
        const Swedish = 'Swedish';

        /** The report will contain data for ads that were viewed in Spanish. */
        const Spanish = 'Spanish';

        /** The report will contain data for ads that were viewed in Arabic. */
        const Arabic = 'Arabic';

        /** The report will contain data for ads that were viewed in Hebrew. */
        const Hebrew = 'Hebrew';

        /** The report will contain data for ads that were viewed in Korean. */
        const Korean = 'Korean';

        /** The report will contain data for ads that were viewed in Russian. */
        const Russian = 'Russian';

        /** The report will contain data for ads that were viewed in Traditional Chinese. */
        const TraditionalChinese = 'TraditionalChinese';

        /** The report will contain data for ads that were viewed in Greek. */
        const Greek = 'Greek';

        /** The report will contain data for ads that were viewed in Polish. */
        const Polish = 'Polish';

        /** The report will contain data for ads that were viewed in Czech. */
        const Czech = 'Czech';

        /** The report will contain data for ads that were viewed in Romanian. */
        const Romanian = 'Romanian';

        /** The report will contain data for ads that were viewed in Hungarian. */
        const Hungarian = 'Hungarian';

        /** The report will contain data for ads that were viewed in Slovak. */
        const Slovak = 'Slovak';

        /** The report will contain data for ads that were viewed in Bulgarian. */
        const Bulgarian = 'Bulgarian';

        /** The report will contain data for ads that were viewed in Croatian. */
        const Croatian = 'Croatian';

        /** The report will contain data for ads that were viewed in Lithuanian. */
        const Lithuanian = 'Lithuanian';

        /** The report will contain data for ads that were viewed in Slovenian. */
        const Slovenian = 'Slovenian';

        /** The report will contain data for ads that were viewed in Estonian. */
        const Estonian = 'Estonian';

        /** The report will contain data for ads that were viewed in Latvian. */
        const Latvian = 'Latvian';

        /** The report will contain data for ads that were viewed in Maltese. */
        const Maltese = 'Maltese';
    }

}
