<?php
/**
 * EnvelopeViewRecipientSettings
 *
 * PHP version 7.4
 *
 * @category Class
 * @package  DocuSign\eSign
 * @author   Swagger Codegen team <apihelp@docusign.com>
 * @license  The DocuSign PHP Client SDK is licensed under the MIT License.
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * DocuSign REST API
 *
 * The DocuSign REST API provides you with a powerful, convenient, and simple Web services API for interacting with DocuSign.
 *
 * OpenAPI spec version: v2.1
 * Contact: devcenter@docusign.com
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.21
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */

namespace DocuSign\eSign\Model;

use \ArrayAccess;
use DocuSign\eSign\ObjectSerializer;

/**
 * EnvelopeViewRecipientSettings Class Doc Comment
 *
 * @category    Class
 * @package     DocuSign\eSign
 * @author      Swagger Codegen team <apihelp@docusign.com>
 * @license     The DocuSign PHP Client SDK is licensed under the MIT License.
 * @link        https://github.com/swagger-api/swagger-codegen
 */
class EnvelopeViewRecipientSettings implements ModelInterface, ArrayAccess
{
    const DISCRIMINATOR = null;

    /**
      * The original name of the model.
      *
      * @var string
      */
    protected static $swaggerModelName = 'envelopeViewRecipientSettings';

    /**
      * Array of property to type mappings. Used for (de)serialization
      *
      * @var string[]
      */
    protected static $swaggerTypes = [
        'show_bulk_send' => '?string',
        'show_contacts_list' => '?string',
        'show_edit_message' => '?string',
        'show_edit_recipients' => '?string'
    ];

    /**
      * Array of property to format mappings. Used for (de)serialization
      *
      * @var string[]
      */
    protected static $swaggerFormats = [
        'show_bulk_send' => null,
        'show_contacts_list' => null,
        'show_edit_message' => null,
        'show_edit_recipients' => null
    ];

    /**
     * Array of property to type mappings. Used for (de)serialization
     *
     * @return array
     */
    public static function swaggerTypes()
    {
        return self::$swaggerTypes;
    }

    /**
     * Array of property to format mappings. Used for (de)serialization
     *
     * @return array
     */
    public static function swaggerFormats()
    {
        return self::$swaggerFormats;
    }

    /**
     * Array of attributes where the key is the local name,
     * and the value is the original name
     *
     * @var string[]
     */
    protected static $attributeMap = [
        'show_bulk_send' => 'showBulkSend',
        'show_contacts_list' => 'showContactsList',
        'show_edit_message' => 'showEditMessage',
        'show_edit_recipients' => 'showEditRecipients'
    ];

    /**
     * Array of attributes to setter functions (for deserialization of responses)
     *
     * @var string[]
     */
    protected static $setters = [
        'show_bulk_send' => 'setShowBulkSend',
        'show_contacts_list' => 'setShowContactsList',
        'show_edit_message' => 'setShowEditMessage',
        'show_edit_recipients' => 'setShowEditRecipients'
    ];

    /**
     * Array of attributes to getter functions (for serialization of requests)
     *
     * @var string[]
     */
    protected static $getters = [
        'show_bulk_send' => 'getShowBulkSend',
        'show_contacts_list' => 'getShowContactsList',
        'show_edit_message' => 'getShowEditMessage',
        'show_edit_recipients' => 'getShowEditRecipients'
    ];

    /**
     * Array of attributes where the key is the local name,
     * and the value is the original name
     *
     * @return array
     */
    public static function attributeMap()
    {
        return self::$attributeMap;
    }

    /**
     * Array of attributes to setter functions (for deserialization of responses)
     *
     * @return array
     */
    public static function setters()
    {
        return self::$setters;
    }

    /**
     * Array of attributes to getter functions (for serialization of requests)
     *
     * @return array
     */
    public static function getters()
    {
        return self::$getters;
    }

    /**
     * The original name of the model.
     *
     * @return string
     */
    public function getModelName()
    {
        return self::$swaggerModelName;
    }

    

    

    /**
     * Associative array for storing property values
     *
     * @var mixed[]
     */
    protected $container = [];

    /**
     * Constructor
     *
     * @param mixed[] $data Associated array of property values
     *                      initializing the model
     */
    public function __construct(array $data = null)
    {
        $this->container['show_bulk_send'] = isset($data['show_bulk_send']) ? $data['show_bulk_send'] : null;
        $this->container['show_contacts_list'] = isset($data['show_contacts_list']) ? $data['show_contacts_list'] : null;
        $this->container['show_edit_message'] = isset($data['show_edit_message']) ? $data['show_edit_message'] : null;
        $this->container['show_edit_recipients'] = isset($data['show_edit_recipients']) ? $data['show_edit_recipients'] : null;
    }

    /**
     * Show all the invalid properties with reasons.
     *
     * @return array invalid properties with reasons
     */
    public function listInvalidProperties()
    {
        $invalidProperties = [];

        return $invalidProperties;
    }

    /**
     * Validate all the properties in the model
     * return true if all passed
     *
     * @return bool True if all properties are valid
     */
    public function valid()
    {
        return count($this->listInvalidProperties()) === 0;
    }


    /**
     * Gets show_bulk_send
     *
     * @return ?string
     */
    public function getShowBulkSend()
    {
        return $this->container['show_bulk_send'];
    }

    /**
     * Sets show_bulk_send
     *
     * @param ?string $show_bulk_send 
     *
     * @return $this
     */
    public function setShowBulkSend($show_bulk_send)
    {
        $this->container['show_bulk_send'] = $show_bulk_send;

        return $this;
    }

    /**
     * Gets show_contacts_list
     *
     * @return ?string
     */
    public function getShowContactsList()
    {
        return $this->container['show_contacts_list'];
    }

    /**
     * Sets show_contacts_list
     *
     * @param ?string $show_contacts_list 
     *
     * @return $this
     */
    public function setShowContactsList($show_contacts_list)
    {
        $this->container['show_contacts_list'] = $show_contacts_list;

        return $this;
    }

    /**
     * Gets show_edit_message
     *
     * @return ?string
     */
    public function getShowEditMessage()
    {
        return $this->container['show_edit_message'];
    }

    /**
     * Sets show_edit_message
     *
     * @param ?string $show_edit_message 
     *
     * @return $this
     */
    public function setShowEditMessage($show_edit_message)
    {
        $this->container['show_edit_message'] = $show_edit_message;

        return $this;
    }

    /**
     * Gets show_edit_recipients
     *
     * @return ?string
     */
    public function getShowEditRecipients()
    {
        return $this->container['show_edit_recipients'];
    }

    /**
     * Sets show_edit_recipients
     *
     * @param ?string $show_edit_recipients 
     *
     * @return $this
     */
    public function setShowEditRecipients($show_edit_recipients)
    {
        $this->container['show_edit_recipients'] = $show_edit_recipients;

        return $this;
    }
    /**
     * Returns true if offset exists. False otherwise.
     *
     * @param integer $offset Offset
     *
     * @return boolean
     */
    #[\ReturnTypeWillChange]
    public function offsetExists($offset)
    {
        return isset($this->container[$offset]);
    }

    /**
     * Gets offset.
     *
     * @param integer $offset Offset
     *
     * @return mixed
     */
    #[\ReturnTypeWillChange]
    public function offsetGet($offset)
    {
        return isset($this->container[$offset]) ? $this->container[$offset] : null;
    }

    /**
     * Sets value based on offset.
     *
     * @param integer $offset Offset
     * @param mixed   $value  Value to be set
     *
     * @return void
     */
    #[\ReturnTypeWillChange]
    public function offsetSet($offset, $value)
    {
        if (is_null($offset)) {
            $this->container[] = $value;
        } else {
            $this->container[$offset] = $value;
        }
    }

    /**
     * Unsets offset.
     *
     * @param integer $offset Offset
     *
     * @return void
     */
    #[\ReturnTypeWillChange]
    public function offsetUnset($offset)
    {
        unset($this->container[$offset]);
    }

    /**
     * Gets the string presentation of the object
     *
     * @return string
     */
    public function __toString()
    {
        if (defined('JSON_PRETTY_PRINT')) { // use JSON pretty print
            return json_encode(
                ObjectSerializer::sanitizeForSerialization($this),
                JSON_PRETTY_PRINT
            );
        }

        return json_encode(ObjectSerializer::sanitizeForSerialization($this));
    }
}

