<?php 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
include_once('../config.php');
require('../vendor/autoload.php');
use Shopify\PublicApp;
use rdx\graphqlquery\Query;

$client = new Shopify\PublicApp($SHOPIFY_SHOP_DOMAIN, $SHOPIFY_API_KEY, $SHOPIFY_API_SECRET, $api_params);
$client->setAccessToken($SHOPIFY_TOKEN);

$date = new DateTime();
$currentDate = $date->format('Y-m-d\TH:i:s\Z');
$randomCode = "FREEONSURVEY" . rand(1, 1000);

$query = <<<QUERY
 mutation  {
  discountCodeBasicCreate(basicCodeDiscount: {
    title: "FREE PRODUCT on Survey",
    code: "{$randomCode}",
    startsAt: "{$currentDate}",
    customerSelection: {
      all: true
    },
    customerGets: {
      value: {
        percentage: 1
      },
      items: {
        products: { 
        productsToAdd : ["gid://shopify/Product/7415158997172"]
        }
      }
    },
    appliesOncePerCustomer: true
  }) {
    codeDiscountNode {
      codeDiscount {
        ... on DiscountCodeBasic {
          title
          codes(first: 10) {
            nodes {
              code
            }
          }
          startsAt
          endsAt
          customerSelection {
            ... on DiscountCustomerAll {
              allCustomers
            }
          }
          customerGets {
            value {
              ... on DiscountPercentage {
                percentage
              }
            }
            items {
              ... on AllDiscountItems {
                allItems
              }
            }
          }
          appliesOncePerCustomer
        }
      }
    }
    userErrors {
      field
      code
      message
    }
  }
}

QUERY;
$response = $client->callGraphql($query);




 $url = "https://skinresearchinstitutehome.myshopify.com/cart/43259676098740:1?channel=buy_button&discount=".$randomCode;


?>
<style>
body {
        font-family: sans-serif;
}
.mybox {
    width: 960px;
    margin: 100px auto;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    
}
    a.sribtn {
 font-weight: 500;
    background: #c19b61;
    color: #FFF;
    text-decoration: none;
    padding: 12px 27px;
    font-family: sans-serif;
    display: block;
    width: 300px;
    text-align: center;
    font-size: 23px;
    margin-top: 20px;
    }
</style>
<div class="mybox">
    <p>Thanks for taking the survey. Click the link to get your FREE product!</p>
<a class="sribtn" href="<?php echo $url?>">GET FREE PRODUCT</a>
</div>